summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAndres Loeh <kosmikus@gentoo.org>2005-05-11 21:26:04 +0000
committerAndres Loeh <kosmikus@gentoo.org>2005-05-11 21:26:04 +0000
commit19bda0be74ed2c6edc1195cba71f8b2b2233dd49 (patch)
tree0e9a76ba8bbbff3724d8a0da8a333ccd3d8e7fc1 /eclass
parentversion bump (diff)
downloadgentoo-2-19bda0be74ed2c6edc1195cba71f8b2b2233dd49.tar.gz
gentoo-2-19bda0be74ed2c6edc1195cba71f8b2b2233dd49.tar.bz2
gentoo-2-19bda0be74ed2c6edc1195cba71f8b2b2233dd49.zip
be less forgiving about a package registration failure
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ghc-package.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/ghc-package.eclass b/eclass/ghc-package.eclass
index 1b6b0543ae17..2b46b62258d4 100644
--- a/eclass/ghc-package.eclass
+++ b/eclass/ghc-package.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ghc-package.eclass,v 1.10 2005/05/08 14:49:25 dcoutts Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ghc-package.eclass,v 1.11 2005/05/11 21:26:04 kosmikus Exp $
#
# Author: Andres Loeh <kosmikus@gentoo.org>
#
@@ -92,7 +92,7 @@ ghc-setup-pkg() {
echo '[]' > ${localpkgconf}
for pkg in $*; do
$(ghc-getghcpkgbin) -f ${localpkgconf} -u --force \
- < ${pkg}
+ < ${pkg} || die "failed to register ${pkg}"
done
}